<template>
    <div style="">
        <Head title="Role"/>
        <v-card dense>
            <v-card-text>
                <v-row>
                    <v-col cols="6">Actions</v-col>
                    <v-col cols="6">
                        <v-row justify="center" clas="d-flex align-center">
                            <v-col v-for="role in roles" :key="role.id" class="text-center">
                                {{ role.name }}
                            </v-col>
                        </v-row>
                    </v-col>
                </v-row>
            </v-card-text>
            <v-divider/>
            <div style="overflow-y: auto; max-height: 70vh;">
                <v-card-text class="py-0" v-for="(group, index) in groups" :key="group.id">
                    <v-row dense justify="start" align="center">
                        <v-col align-self="center" cols="12" class="d-flex align-start">
                            <v-card-title class="text-subtitle-2 font-weight-bold">
                                <v-icon left color="primary">{{ group.icon }}</v-icon>
                                {{ group.name }}
                            </v-card-title>
                        </v-col>
                    </v-row>
                    <v-divider/>
                    <v-row dense class="mt-0" justify="space-between" v-for="(permission, idx) in group.permissions" :key="permission.id">
                        <v-col cols="6" align-self="center">
                            {{ permission.name }}
                        </v-col>

                        <v-col cols="6" align-self="center">
                            <v-row justify="center">
                                <v-col align-self="center" class="d-flex align-self-center justify-center" v-for="role in roles" :key="role.id">
                                    <v-checkbox :input-value="role.permissions.map(p => p.slug).includes(permission.slug)"
                                                color="info" hide-details class="mb-4 ml-2"></v-checkbox>
                                </v-col>
                            </v-row>
                        </v-col>
                    </v-row>
                    <v-divider/>
                </v-card-text>
            </div>
        </v-card>
    </div>
</template>

<script>
import Settings from "../../../Components/Layouts/Settings.vue";
import Setting from "./../Setting.vue";
import Role from "./Role.vue";

export default {
    name: "AuthorizationIndex",
    layout: [Settings, Setting, Role],
    data() {
        return {
            groups: this.$page.props.groups,
            roles: this.$page.props.roles
        }
    }
}
</script>

<style>

</style>
